
<?php 
	error_reporting(E_ALL);
	ini_set('display_errors', 1);

	if(isset($eltoken))
		$token = $eltoken;
	if (isset($_GET['c'])){
		$clave = $_GET['c'];	
		$token = $_GET['t'];	
	}
		

		
		require('../conexion.php');
		require('nt_consultasbd.php');
		$token = $resultadoToken['access_token'];
		$clave = $facturas_notas['cdgclave'];
		$idNota = $_GET['f'];
	
	
	       $parametros_FE = "SELECT * FROM wc_parametros_fe ";
       $result_parametros_FE = $mysqli->query($parametros_FE);
       $row__FE = $result_parametros_FE->fetch_array();
     
	   $base_url =  $row__FE["UriLocalhost"];
	
	$curl = curl_init();

	curl_setopt_array($curl, array(
		CURLOPT_URL => $parametros['uriRecepcion'].$clave,
		CURLOPT_RETURNTRANSFER => true,
		CURLOPT_ENCODING => "",
		CURLOPT_MAXREDIRS => 10,
		CURLOPT_TIMEOUT => 30,
		CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
		CURLOPT_CUSTOMREQUEST => "GET",
		CURLOPT_HTTPHEADER => array(
			"Authorization: Bearer ". $token,
			"Cache-Control: no-cache",
			"Content-Type: application/x-www-form-urlencoded",
			"Postman-Token: bf8dc171-5bb7-fa54-7416-56c5cda9bf5c"
		),
	));

	curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);

	$response = curl_exec($curl);
	$err = curl_error($curl);

	curl_close($curl);
	$codigo = $facturas_notas['estadoComprobanteIntegracion'];
	$mensajeDetalle = $facturas_notas['mensajeHacienda'];
	
	if ($err) {
		$mensajeDetalle = $err;
	} else {			
		$responseT = json_decode($response);		
		$array = get_object_vars($responseT);
		
		if(isset($_GET['debug']))
			print_r($array);
		
		if(isset($array['respuesta-xml'])){
			$mensaje = base64_decode($array['respuesta-xml']);
			file_put_contents("crt/mensajes/mns-".$responseT->clave.".xml", $mensaje);
			$xml = new SimpleXMLElement($mensaje);				
			$mensajeDetalle = str_replace("'", '', $xml->DetalleMensaje); ;
			$mensajeDetalle = utf8_decode($mensajeDetalle);
			$mensajeDetalle = str_replace("'",'',$mensajeDetalle);
			if($xml->Mensaje != 1)
				$mensajeDetalle = str_replace('Este comprobante fue aceptado en el ambiente de pruebas, por lo cual no tiene validez para fines tributarios','',$mensajeDetalle);
			$codigo = $xml->Mensaje;
			
		}else{
			$mensajeDetalle = 'No hay respuesta de la DGT, verifique el token<br>';
		}			
	}
		
	$consultaDatosfacturas = "UPDATE facturas_notas 
	SET 
		estadoComprobanteIntegracion = $codigo,
		mensajeHacienda = '$mensajeDetalle'
		WHERE codnota=$idNota";

	
	$mysqli->query($consultaDatosfacturas);
	if(isset($_GET['debug'])){
		echo $consultaDatosfacturas.'<br>';
	
	}

    $codnota=$idNota;
   //     file_get_contents("$base_url/FE/notaCredito/subir_xml_web.php?codnota=$codnota");